Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

jruby 1.6.1 now is able to gem install cexts out of the box

  • Loading branch information...
commit 8dc9e35ff3005bf422816847606788bc6eb1623b 1 parent b0aca8d
@rkh rkh authored
View
4 Gemfile
@@ -38,8 +38,10 @@ gem 'kramdown', :group => 'kramdown'
gem 'maruku', :group => 'maruku'
gem 'creole', :group => 'creole'
-platforms :ruby do
+unless RUBY_ENGINE == 'jruby' && JRUBY_VERSION < "1.6.1"
+ # C extensions
gem 'rdiscount', :group => 'rdiscount'
+
## bluecloth is broken
#gem 'bluecloth', :group => 'bluecloth'
end
View
2  README.de.rdoc
@@ -1848,7 +1848,7 @@ Die folgenden Versionen werden offiziell unterstützt:
unterstützt.
[ JRuby ]
- JRuby wird offiziell unterstützt (JRuby >= 1.6.0). Probleme mit Template-
+ JRuby wird offiziell unterstützt (JRuby >= 1.6.1). Probleme mit Template-
Bibliotheken Dritter sind nicht bekannt. Falls JRuby zum Einsatz kommt,
sollte aber darauf geachtet werden, dass ein JRuby-Rack-Handler zum Einsatz
kommt – der Thin-Web-Server wird bisher nicht unterstütz. JRubys
View
2  README.es.rdoc
@@ -1842,7 +1842,7 @@ Las siguientes versiones de Ruby son soportadas oficialmente:
funciona correctamente, incluyendo los lenguajes de plantillas.
[ JRuby ]
- JRuby es soportado oficialmente (JRuby >= 1.6.0). No se conocen
+ JRuby es soportado oficialmente (JRuby >= 1.6.1). No se conocen
problemas con librerías de plantillas de terceras partes. Sin
embargo, si elegís usar JRuby, deberías examinar sus Rack handlers
porque el servidor web Thin no es soportado completamente. El
View
2  README.fr.rdoc
@@ -1736,7 +1736,7 @@ Les versions suivantes de Ruby sont officiellement supportées :
y compris tous les langages de template.
[ JRuby ]
- JRuby est officiellement supporté (JRuby >= 1.6.0). Aucune anomalie avec
+ JRuby est officiellement supporté (JRuby >= 1.6.1). Aucune anomalie avec
des bibliothèques de templates tierces ne sont connues. Toutefois, si vous
choisissez JRuby, alors tournez vous vers des gestionnaires Rack JRuby car
le serveur Thin n'est pas complètement supporté par JRuby. Le support des
View
2  README.rdoc
@@ -1649,7 +1649,7 @@ The following Ruby versions are officially supported:
all template languages, works.
[ JRuby ]
- JRuby is officially supported (JRuby >= 1.6.0). No issues with third party
+ JRuby is officially supported (JRuby >= 1.6.1). No issues with third party
template libraries are known, however, if you choose to use JRuby, please
look into JRuby rack handlers, as the Thin web server is not fully supported
on JRuby. JRuby's support for C extensions is still experimental, which only
View
2  README.ru.rdoc
@@ -1738,7 +1738,7 @@ Sinatra приложения могут быть запущены напряму
языки шаблонов, работает.
[ JRuby ]
- JRuby официально поддерживается (JRuby >= 1.6.0). Нет никаких проблем с
+ JRuby официально поддерживается (JRuby >= 1.6.1). Нет никаких проблем с
использованием альтернативных шаблонов. Тем не менее, если вы выбираете
JRuby, то, пожалуйста, посмотрите на JRuby Rack-сервера, так как Thin не
поддерживается полностью на JRuby. Поддержка расширений на C в JRuby все
Please sign in to comment.
Something went wrong with that request. Please try again.